#define F_CPU 11059200UL

//#define BAND_868

#define TX_ANT	PORTC_0
#define RX_ANT	PORTC_1
#define CS		PORTB_2
#define SDI		PORTB_3
#define SDO		PORTB_4
#define SCK		PORTB_5
#define nIRQ	PINB_1

#define RXMODE	PORTC_2
#define SXLED	PORTC_3
#define RXLED	PORTC_4
#define TXLED	PORTC_5




void rf22_init(void);											// initialize module
void rf22_setfreq(unsigned short freq);
void rf22_setbaud(unsigned short baud);
void rf22_setpower(unsigned char power);
void rf22_write(unsigned char addr, unsigned char data);
unsigned char rf22_read(unsigned char addr);
void rf22_rxmode(void);
unsigned char rf22_getpacket(unsigned char *data);
void rf22_sendpacket(unsigned char *data, unsigned char size);
void rf22_setrxpara(unsigned char para);

#ifdef BAND_868
 #define RF22FREQ(freq)	((freq-860.0)*3200)								// macro for calculating frequency value out of frequency in MHz
#else
 #define RF22FREQ(freq)	((freq-430.0)*6400)								// macro for calculating frequency value out of frequency in MHz
#endif

#define RF22BAUD(baud)	((baud)*0.065536)								// macro for calculating baudrate value out of baudrate

#define PARA_2400_SMALL		0
#define PARA_2400_WIDE		1
#define PARA_4800_SMALL		2
#define PARA_4800_WIDE		3
#define PARA_10000_SMALL	4
#define PARA_10000_WIDE		5
#define PARA_20000_SMALL	6
#define PARA_20000_WIDE		7
#define PARA_40000_SMALL	8
#define PARA_40000_WIDE		9
#define PARA_100000_SMALL	10
#define PARA_100000_WIDE	11

